version: '3.6'
services:

  liquidsoap-base-linux:
    image: ${CI_REGISTRY_IMAGE}/liquidsoap-base-linux
    build:
      context: ./liquidsoap/docker/base
      dockerfile: linux.Dockerfile

  liquidsoap-base-opam:
    image: ${CI_REGISTRY_IMAGE}/liquidsoap-base-opam
    build:
      context: ./liquidsoap/docker/base
      dockerfile: opam.Dockerfile
      args:
        CI_REGISTRY_IMAGE: ${CI_REGISTRY_IMAGE}
    depends_on:
      - liquidsoap-base-linux

  liquidsoap-base-install:
    image: ${CI_REGISTRY_IMAGE}/liquidsoap-base-install:1.4.4
    build:
      context: ./liquidsoap/docker/base
      dockerfile: install.Dockerfile
      args:
        CI_REGISTRY_IMAGE: ${CI_REGISTRY_IMAGE}
        LIQ_VERSION: 1.4.4
    depends_on:
      - liquidsoap-base-opam

  liquidsoap:
    image: ${CI_REGISTRY_IMAGE}/liquidsoap:1.4.4
    build:
      context: ./liquidsoap/docker/version
      args:
        CI_REGISTRY_IMAGE: ${CI_REGISTRY_IMAGE}
        LIQ_VERSION: 1.4.4
    depends_on:
      - liquidsoap-base-install

  icecast:
    image: ${CI_REGISTRY_IMAGE}/icecast-kh:2.4.0-kh16
    build:
      context: ./icecast
      args:
        IC_VERSION: 2.4.0-kh16
        EXTRACT_CMD: tar xfazv
